config/routes.rb
Rails.application.routes.draw do
  resources :lottery_topics
  resources :posts
  resource :users,
    only: [:edit, :update, :delete],
    controller: 'devise/registrations',
    as: :user_registration do
    get 'cancel'
  end

  devise_for :users, skip: [:registrations]
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
  root "home#index"
  resources :users do
    resource :reset_passwords
  end
  resources :admins
  resources :admins,
    only: [:edit, :update, :delete],
    controller: 'devise/registrations',
    as: :admin_registration do
    get 'cancel'
  end
  resources :agents do 
    resources :member_invoices do
      resources :members do
        get '/confirmed', to: 'member_invoices#confirmed'
      end
    end
  end
  resources :members
  resources :profiles do
    resource :passwords
  end
  resources :lotteries
  resources :bills do
    resources :lotteries
    get '/confirmed', to: 'bills#confirmed'
  end

  resources :invoices

  get 'rood', to: 'lotteries#rood'
  get 'reverse', to: 'lotteries#reverse'
  get 'all_reverse', to: 'lotteries#all_reverse'
  get 'run', to: 'lotteries#run'
  get 'destroy_group', to: 'lotteries#destroy_group'

  get '/create_lottery', to: 'home#owner_lottery'
end

app/models/lottery.rb
class Lottery < ApplicationRecord

  belongs_to :user
  belongs_to :bill

  POSITION = { บน: 1, ล่าง: 2, บนล่าง: 3}
  THREE_DIGITS_POSITION = { ตรง: 4, โต้ด: 5}
  LOTTERRIES = LotteryTopic.pluck(:title)
  LOTTERRY_OPTION = {วิน: 'vin', วินไม่เบิ้ล: 'vin_no_double', รูด: 'rood', รูดไม่เบิ้ล: 'rood_no_double'}
  ROUND = {"1" => 'เปิดเช้า', "2" => 'ปิดเที่ยง', "3" => 'เปิดบ่าย', "4" => 'ปิดเย็น'}
  LOTTERYPOSITION = {"1" => 'บน', "2" => 'ล่าง', "4" => 'ตรง', "5" => 'โต้ด'}

  def self.rood(num, external="")
    # data = num.split(/\s|'|,|-/)
    data = num.split("")
    data.delete(" ")
    # .flatten

    arr = []

    data.each do |nn|

      new_array = []
      new_array_reverse = []
      array = ["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"]
      array = data if (external == "vin") || (external =='vin_no_double')
      array.each { |x| new_array.push(nn+x) }
      array.each { |x| new_array_reverse.push(x+nn) }

      array = new_array+new_array_reverse
      array.delete(nn+nn) if external == "rood_no_double" || external == "vin_no_double"
      arr.push(array.uniq)
    end

    arr = arr.sum
    arr = arr.uniq if external == "vin_no_double" || external == "vin"
    arr.delete("")
    arr
  end

  def self.reverse(num, reverse)
    data = num.split(/\s|'|\/|,|-/)

    arr = []
    data.each do |nn|

      arr.push(nn)
      if reverse == "1"
        arr.push(nn.reverse) if (nn.split("")[0].to_i - nn.split("")[1].to_i) != 0
      end

    end
    arr.delete("")
    arr
  end

  def self.run_array(num)
    data = num.split("")

    arr = []
    data.each do |nn|
      arr.push(nn)
    end

    arr.uniq
  end

  def self.three_to_six(num, six_reverse)
    data = num.split(/\s|'|\/|,|-/)

    arr = []

    if six_reverse == "1"
      data.each do |nn|
        # arr.push(nn)
        new_arr = nn.split(//)
        new_arr.each_with_index do |pp, ii|
          # byebug
          dd = new_arr.delete_at(0)
          new_arr.push(dd)

          arr.push(new_arr.sum)
          arr.push(new_arr.sum.reverse)


        end
      end
    else
      data.each do |nn|
        arr.push(nn)
      end
    end
    arr.delete("")
    arr = arr.uniq
    arr
  end

  def self.create_html(array)
    html = ""
    lock = false
    array.each do |nn|
      if (nn.length !=2 || !is_number?(nn)) &&  nn != "00"
        lock = true
      end
      html.insert(-1, "<div class='label label-info'>"+nn+"</div> ") if nn.length ==2 && is_number?(nn)
      html.insert(-1, "<div class='label label-danger'>"+nn+"</div> ") if nn.length !=2 || !is_number?(nn)
    end
    return {"html": "<p class='col-xs-12'>" + html +"</p>", "lock": lock} 
  end

  def self.create_three_html(array)
    html = ""
    lock = false

    array.each do |nn|
      if nn.length !=3 || !is_number?(nn)
        lock = true
      end
      html.insert(-1, "<div class='label label-info'>"+nn+"</div> ") if nn.length ==3 && is_number?(nn)
      html.insert(-1, "<div class='label label-danger'>"+nn+"</div> ") if nn.length !=3 || !is_number?(nn)
    end
    return {"html": "<p class='col-xs-12'>" + html +"</p>", "lock": lock}
  end

  def self.create_run_html(array)
    html = ""
    lock = false

    array.each do |nn|
      if nn.length !=1 || !is_number?(nn)
        lock = true
      end
      html.insert(-1, "<div class='label label-info'>"+nn+"</div> ") if nn.length ==1 && is_number?(nn)
      html.insert(-1, "<div class='label label-danger'>"+nn+"</div> ") if nn.length !=1 || !is_number?(nn)
    end
    return {"html": "<p class='col-xs-12'>" + html +"</p>", "lock": lock}
  end

  def self.rood_two_digits(round, params, user, bill)
    if params[:lottery][:bottom_price].present?
      rood_bottom(round, params, user, bill, "2")
    end
    if params[:lottery][:price].present?
      rood_top(round, params, user, bill, "1")
    end
  end

  def self.rood_top(round, params, user, bill, position)
    data = rood(params[:lottery][:datum], params[:lottery][:option])
    fight_value = (((params[:lottery][:price]).to_f*user.user_datum.fight_percent.to_i).to_f/100)
    price = params[:lottery][:price].to_f-fight_value
    two_fight_limit = user.user_datum.two_fight_limit.to_i
    fight_summary = fight_value > two_fight_limit ? two_fight_limit : fight_value
    data.each { |x| 
      l = Lottery.create(
        datum: x, 
        position: position, 
        price: price,
        real_price: params[:lottery][:price].to_f,
        round: round,
        user: user,
        bill: bill,
        won_amount: price.to_f*user.user_datum.percent.to_i,
        discount: (price.to_f*user.user_datum.user_percent.to_i).to_f/100,
        group: bill.group,
        source: data,
        fight_percent: user.user_datum.fight_percent.to_i,
        fight_amount: fight_summary,
        fight_paid: user.user_datum.percent*fight_summary,
        result_amount: params[:lottery][:price].to_f*user.user_datum.percent.to_i
      )

      l.update_bill

    }
  end

  def self.rood_bottom(round, params, user, bill, position)
    data = rood(params[:lottery][:datum], params[:lottery][:option])
    fight_value = (((params[:lottery][:bottom_price]).to_f*user.user_datum.fight_percent.to_i).to_f/100)
    price = params[:lottery][:bottom_price].to_f-fight_value
    two_fight_limit = user.user_datum.two_fight_limit.to_i
    fight_summary = fight_value > two_fight_limit ? two_fight_limit : fight_value
    data.each { |x| 
      l = Lottery.create(
        datum: x, 
        position: position, 
        price: price,
        real_price: params[:lottery][:bottom_price].to_f,
        round: round,
        user: user,
        bill: bill,
        won_amount: price.to_f*user.user_datum.percent.to_i,
        discount: (price.to_f*user.user_datum.user_percent.to_i).to_f/100,
        group: bill.group,
        source: data,
        fight_percent: user.user_datum.fight_percent.to_i,
        fight_amount: fight_summary,
        fight_paid: user.user_datum.percent*fight_summary,
        result_amount: params[:lottery][:bottom_price].to_f*user.user_datum.percent.to_i
      )

      l.update_bill

    }
  end

  def self.two_digits(round, params, user, bill, reverse)
    if params[:lottery][:bottom_price].present?
      two_digits_bottom(round, params, user, bill, "2", reverse)
    end
    if params[:lottery][:price].present?
      two_digits_top(round, params, user, bill, "1", reverse)
    end
  end

  def self.two_digits_top(round, params, user, bill, position, reverse)
    data = reverse(params[:lottery][:datum], reverse)
    fight_value = (((params[:lottery][:price]).to_f*user.user_datum.fight_percent.to_i).to_f/100)
    price = params[:lottery][:price].to_f-fight_value
    two_fight_limit = user.user_datum.two_fight_limit.to_i
    fight_summary = fight_value > two_fight_limit ? two_fight_limit : fight_value
    data.each { |x| 
      l = Lottery.create(
        datum: x, 
        position: position, 
        price: price,
        real_price: params[:lottery][:price].to_f,
        round: round,
        user: user,
        bill: bill,
        won_amount: price.to_f*user.user_datum.percent.to_i,
        discount: (price.to_f*user.user_datum.user_percent.to_i).to_f/100,
        group: bill.group,
        source: data,
        fight_percent: user.user_datum.fight_percent.to_i,
        fight_amount: fight_summary,
        fight_paid: user.user_datum.percent*fight_summary,
        result_amount: params[:lottery][:price].to_f*user.user_datum.percent.to_i
      )


      l.update_bill

    }
  end

  def self.two_digits_bottom(round, params, user, bill, position, reverse)
    data = reverse(params[:lottery][:datum], reverse)
    fight_value = (((params[:lottery][:bottom_price]).to_f*user.user_datum.fight_percent.to_i).to_f/100)
    price = params[:lottery][:bottom_price].to_f-fight_value
    two_fight_limit = user.user_datum.two_fight_limit.to_i
    fight_summary = fight_value > two_fight_limit ? two_fight_limit : fight_value
    data.each_with_index { |x, i| 
      l = Lottery.create(
        datum: x, 
        position: position, 
        price: price,
        real_price: params[:lottery][:bottom_price].to_f,
        round: round,
        user: user,
        bill: bill,
        won_amount: price.to_f*user.user_datum.percent.to_i,
        discount: (price.to_f*user.user_datum.user_percent.to_i).to_f/100,
        group: bill.group,
        source: data,
        fight_percent: user.user_datum.fight_percent.to_i,
        fight_amount: fight_summary,
        fight_paid: user.user_datum.percent*fight_summary,
        result_amount: params[:lottery][:bottom_price].to_f*user.user_datum.percent.to_i
      )

      l.update_bill

    }
  end

  def self.run(round, params, user, bill)
    if params[:lottery][:bottom_price].present?
      run_bottom(round, params, user, bill, "2")
    end
    if params[:lottery][:price].present?
      run_top(round, params, user, bill, "1")
    end
  end

  def self.run_top(round, params, user, bill, position)
    data = run_array(params[:lottery][:datum])
    fight_value = (((params[:lottery][:price]).to_f*user.user_datum.fight_run.to_i).to_f/100)
    price = params[:lottery][:price].to_f-fight_value
    run_fight_limit = user.user_datum.run_fight_limit.to_i
    fight_summary = fight_value > run_fight_limit ? run_fight_limit : fight_value
    data.each { |x| 
      l = Lottery.create(
        datum: x, 
        position: position, 
        price: price,
        real_price: params[:lottery][:price].to_f,
        round: round,
        user: user,
        bill: bill,
        won_amount: price.to_f*user.user_datum.run_percent.to_i,
        discount: (price.to_f*user.user_datum.run_user_percent.to_i).to_f/100,
        group: bill.group,
        source: data,
        fight_percent: user.user_datum.fight_run.to_i,
        fight_amount: fight_summary,
        fight_paid: user.user_datum.run_percent*fight_summary,
        result_amount: params[:lottery][:price].to_f*user.user_datum.run_percent.to_i
      )

app/controllers/lotteries_controller.rb
class LotteriesController < ApplicationController
  before_action :set_lottery, only: %i[ show edit update destroy ]
  before_action :set_lottery_time

  # GET /lotteries or /lotteries.json
  def index
    if !LotteryTopic.pluck(:title).include?(params[:lot])
      respond_to do |format|
        format.html { redirect_to root_path, alert: "ไม่มี Lottery ที่ท่านเลือก" }
      end
    end
    @lottery_topic = LotteryTopic.find_by(title: params[:lot])
    @lotteries = Lottery.all
    # @bills = current_user.bills.where(created_at: Date.today.all_day).reverse
    # @bills = current_user.bills.where(owner_id: current_user.id).where(created_at: Date.today.all_day, lottery_id: params[:lot]).order(created_at: :desc)
    @bills = current_user.bills.where(created_at: Date.today.all_day, lottery_id: params[:lot]).order(created_at: :desc)
    # @morning_bills = @bills.where(round: 1)
    # @noon_bills = @bills.where(round: 2)
    # @afternoon_bills = @bills.where(round: 3)
    # @evening_bills = @bills.where(round: 4)
  end

  # GET /lotteries/1 or /lotteries/1.json
  def show
  end

  # GET /lotteries/new
  def new
    @lottery_topic = LotteryTopic.find_by(title: params[:lot])
    @bill = current_user.bills.find(params[:bill_id])
    @lotteries = @bill.lotteries.reverse
    @lottery = Lottery.new
  end

  # GET /lotteries/1/edit
  def edit
  end

  # POST /lotteries or /lotteries.json
  def create

    # if @open_morning
    #   round = 1
    # elsif @close_noon
    #   round = 2
    # elsif @open_afternoon
    #   round = 3
    # elsif @close_evening
    #   round = 4
    # end

    bill = current_user.bills.find(params[:lottery][:bill])
    round = bill.round

    if params[:lottery][:price].present? || params[:lottery][:bottom_price].present? || params[:lottery][:reverse_price].present?

      ActiveRecord::Base.transaction do

        if params[:lottery][:two_digits]
          Lottery.two_digits(round, params, current_user, bill, params[:lottery][:reverse])
          respond_to do |format|
            bill.group = bill.group + 1
            bill.save
            format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), notice: "เพิ่มเลขที่ท่านต้องการบน setthaivip เรียบร้อยแล้ว" }
          end

        elsif params[:lottery][:rood]
          Lottery.rood_two_digits(round, params, current_user, bill)
          respond_to do |format|
            bill.group = bill.group + 1
            bill.save
            format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), notice: "เพิ่มเลขที่ท่านต้องการบน setthaivip เรียบร้อยแล้ว" }
          end

        elsif params[:lottery][:run]
          Lottery.run(round, params, current_user, bill)
          respond_to do |format|
            bill.group = bill.group + 1
            bill.save
            format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), notice: "เพิ่มเลขที่ท่านต้องการบน setthaivip เรียบร้อยแล้ว" }
          end
        elsif params[:lottery][:three]
          Lottery.three(round, params, current_user, bill, params[:lottery][:six_reverse])
          respond_to do |format|
            bill.group = bill.group + 1
            bill.save
            format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), notice: "เพิ่มเลขที่ท่านต้องการบน setthaivip เรียบร้อยแล้ว" }
          end
        end
      end
    else
      respond_to do |format|
        format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), alert: "เพิ่ม Lottery ผิดพลาด กรุณาใส่จำนวนเงิน" }
      end
    end
  end

  # PATCH/PUT /lotteries/1 or /lotteries/1.json
  def update
    respond_to do |format|
      if @lottery.update(lottery_params)
        format.html { redirect_to lottery_url(@lottery), notice: "Lottery was successfully updated." }
        format.json { render :show, status: :ok, location: @lottery }
      else
        format.html { render :edit, status: :unprocessable_entity }
        format.json { render json: @lottery.errors, status: :unprocessable_entity }
      end
    end
  end

  # DELETE /lotteries/1 or /lotteries/1.json
  def destroy
    @lottery.destroy

    @lottery.bill.update_attributes(
      total: @lottery.bill.total.to_i-@lottery.price.to_i,
      discount: sprintf('%.1f', @lottery.bill.discount-@lottery.discount)
    )

    respond_to do |format|
      format.html { redirect_to new_bill_lottery_url(@lottery.bill), notice: "ลบ #{ @lottery.datum} เรียบร้อย" }
      format.json { head :no_content }
    end
  end

  def rood()
    # lot = Lottery.rood(params[:data])
    lot = Lottery.rood(params[:data], params[:external])
    respond_to do |format|
      format.html
      format.json {render json: [Lottery.create_html(lot)]}
    end
  end

  def reverse()
    lot = Lottery.reverse(params[:data], params[:data_b])
    respond_to do |format|
      format.html
      format.json {render json: [Lottery.create_html(lot)]}
    end
  end

  def all_reverse()
    lot = Lottery.three_to_six(params[:data], params[:data_b])
    respond_to do |format|
      format.html
      format.json {render json: [Lottery.create_three_html(lot)]}
    end
  end

  def run()
    lot = Lottery.run_array(params[:data])
    respond_to do |format|
      format.html
      format.json {render json: [Lottery.create_run_html(lot)]}
    end
  end

  def destroy_group

    bill = Bill.find(params[:bill])
    lotteries = bill.lotteries.where(id: params[:lots])

    bill.update_attributes(
      total: bill.total.to_i-lotteries.map { |p| p.price.to_i }.sum,
      discount: sprintf('%.1f', bill.discount-lotteries.map { |p| p.discount.to_f }.sum),
      real_price: bill.real_price.to_i-lotteries.map { |p| p.real_price.to_i }.sum
    )
    
    if lotteries.delete_all
      respond_to do |format|
        format.html { redirect_to new_bill_lottery_url(bill, lot: bill.lottery_id), notice: "ลบ Lotteryเรียบร้อยแล้ว" }
        format.json { head :no_content }
      end
    end
  end

  private
    # Use callbacks to share common setup or constraints between actions.
    def set_lottery
      @lottery = Lottery.find(params[:id])
    end

    # Only allow a list of trusted parameters through.
    def lottery_params
      params.require(:lottery).permit(:datum, :position, :price, :status, :name, :user_id)
    end

end

app/helpers/lotteries_helper.rb
module LotteriesHelper
end

app/views/lotteries/_sumarytml.erb
<table class="table">
  <thead>
    <tr>
      <th>รายการ</th>
      <th>จำนวน</th>
    </tr>
  </thead>
      <tr>
        <td>ขายหวยได้</td>
        <td><%= income %></td>
      </tr>
      <tr>
        <td>เปอร์เซ็นที่ได้(<%= current_user.user_datum.user_percent %>%)</td>
        <td><%= (income*current_user.user_datum.user_percent)/100 %></td>
      </tr>
      <tr>
        <td>ยอดหลังจากหักเปอร์เซ็น</td>
        <td><%= income - (income*current_user.user_datum.user_percent)/100 %></td>
      </tr>
  <tbody>
  </tbody>
</table>

<table class="table">
  <thead>
    <tr>
      <th>รายการ</th>
      <th>จำนวน</th>
    </tr>
  </thead>
      <tr>
        <td>ยอดคนถูก</td>
        <td>100</td>
      </tr>
      <tr>
        <td>จ่ายบาทละ(<%= current_user.user_datum.percent %>)</td>
        <td><%= 100*96 %></td>
      </tr>
      <tr>
        <td>ยอดหลังจากหักเปอร์เซ็น</td>
        <td><%= income - (income*current_user.user_datum.user_percent)/100 %></td>
      </tr>
  <tbody>
  </tbody>
</table>

app/views/lotteries/edit.html.erb
<h1>Editing Lottery</h1>

<%= render 'form', lottery: @lottery %>

<%= link_to 'Show', @lottery %> |
<%= link_to 'Back', lotteries_path %>

app/views/lotteries/index.html.erb
<div class="col-sm-4">
  <div class="thumbnail lottery_logo">
    <%= image_tag @lottery_topic.avatar.url, class: 'img-responsive'%>
  </div>
  <% if @lottery_topic.open_round? %>
    <div class="countdown_bill countdown_bill_<%= @lottery_topic.id %>">
      <span class="countdown"></span>
    </div>
  <% end %>
</div>

<div class="col-sm-12">
  <h2>บิลวันที่ <%= Date.today.strftime('%d/%m/%y') %> ทั้งหมด</h2>
</div>

<div class="col-sm-12">

  <% if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates).class == String %>
    <%= link_to 'เพิ่มบิล', new_bill_path(lot: params[:lot]), class: 'btn btn-primary pull-right' %>
  <% end %>
  <h1 class="text-red <%= "hide" if @lottery_topic.open_round? %>">ขณะนี้ยังไม่เปิดให้บริการ</h1>

  <ul class="nav nav-tabs" role="tablist">
    <% @lottery_topic.lottery_times.each do |time| %>
      <li role="presentation" class="<%= 'active' if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates) == time.round_name %>">
        <a href="#<%=time.id%>" aria-controls="morning" role="tab" data-toggle="tab"><%= time.round_name %></a></li>
    <% end %>
  </ul>

  <div class="tab-content">
    <% @lottery_topic.lottery_times.each_with_index do |time, index| %>
      <div role="tabpanel" class="tab-pane <%= 'active' if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates) == time.round_name %>" id="<%=time.id%>">
        <table class="table">
          <thead>
            <tr>
              <th>รอบ</th>
              <th>ชื่อ</th>
              <th>สถานะ</th>
              <th>สร้างโดย</th>
              <th>ราคาจริง</th>
              <th>ราคา</th>
              <th></th>
            </tr>
          </thead>

          <tbody>
            <% @bills.where(round: index+1).each do |bill| %>
              <tr>
                <td><%= LotteryTime.set_lot_round(bill.lottery_id, bill.try(:round)) %></td>
                <td><%= link_to bill.try(:name), new_bill_lottery_url(bill, lot: @lottery_topic.title) %></td>
                <td>
                    <% if bill.try(:status) == 'draft' %>
                      <span class="label label-warning">รอยืนยัน</span>
                    <% end %>
                    <% if bill.try(:status) == 'confirmed' %>
                      <span class="label label-success">ยืนยันแล้ว</span>
                    <% end %>
                    <% if bill.try(:status) == 'active' %>
                      <span class="label label-success">ถูกรางวัล</span>
                    <% end %>
                    <% if bill.try(:status) == 'passive' %>
                      <span class="label label-danger">ไม่ถูกรางวัล</span>
                    <% end %>
                </td>
                <td><%= User.find(bill.owner_id).name %></td>
                <td><%= bill.try(:real_price) %></td>
                <td><%= bill.try(:total) %></td>
                  <td class="manage">
                    <% if bill.try(:status) == 'draft' && @lottery_topic.open_round? && bill.original_id.nil? %>
                      <%= link_to 'ยืนยัน', bill_confirmed_url(bill), class: 'btn btn-success confirm_bill'%>
                      <%= button_to "ลบ", bill, method: :delete, class: 'btn btn-danger delete_bill', data: { confirm: 'ยืนยันว่าจะลบบิลนี้' }  %>&nbsp;&nbsp;
                    <% elsif bill.try(:status) == 'confirmed' && @lottery_topic.open_round? && bill.original_id.nil? %>
                      <%= button_to "ยกเลิกบิล", bill, method: :delete, class: 'btn btn-warning cancle_bill', data: { confirm: 'ยืนยันว่าจะยกเลิกบิลนี้' }  %>
                    <% end %>
                  </td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </div>
    <% end %>
  </div>
</div>

<script>
  $('.confirm_bill').on('click', function() {
    $(this).hide();
  });

  $('.countdown').countdown({
    until: new Date('<%= @lottery_topic.end_time %>'.replace(/-/g, "/")), 
    onExpiry: liftOff, 
    layout: '{hn}:{mn}:{sn}'
  });

  function liftOff() {
    $('.countdown_bill_<%= @lottery_topic.id %>').addClass('hide')
    $('.btn-primary').addClass('hide')
    $('.delete_bill').addClass('hide')
    $('.cancle_bill').addClass('hide')
    $('.confirm_bill').addClass('hide')
    $('.text-red').removeClass('hide')
    alert('หมดเวลาแล้วครับ')
  }
</script>

app/views/lotteries/show.html.erb
<p id="notice"><%= notice %></p>

<p>
  <strong>Datum:</strong>
  <%= @lottery.datum %>
</p>

<p>
  <strong>Position:</strong>
  <%= @lottery.position %>
</p>

<p>
  <strong>Price:</strong>
  <%= @lottery.price %>
</p>

<p>
  <strong>Status:</strong>
  <%= @lottery.status %>
</p>

<p>
  <strong>Name:</strong>
  <%= @lottery.name %>
</p>

<p>
  <strong>User:</strong>
  <%= @lottery.user_id %>
</p>

<%= link_to 'Edit', edit_lottery_path(@lottery) %> |
<%= link_to 'Back', lotteries_path %>